varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

void main() {

    highp vec4 mainImage = texture2D(inputImageTexture, textureCoordinate);
    highp vec4 circularTexture = texture2D(inputImageTexture2, textureCoordinate);
    highp vec4 strokeTexture = texture2D(inputImageTexture3, textureCoordinate);

    gl_FragColor = mix(vec4(0), mainImage, strokeTexture.a);
    //    gl_FragColor = mainImage;
    if (circularTexture.a >= 0.33 && circularTexture.a < 0.67){
        gl_FragColor = vec4(1.0);
    }
    if (strokeTexture.a >= 0.33 && strokeTexture.a < 0.67){
        gl_FragColor = vec4(1.0);
    }
}