precision mediump float;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

varying highp vec2 textureCoordinate;

void main()
{
    lowp vec4 source = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 destination = texture2D(inputImageTexture2, textureCoordinate);
    lowp vec4 mask = texture2D(inputImageTexture3, textureCoordinate);

    float a = mask.r;

    gl_FragColor = mix(source, destination, a);
}