varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main()
{
    mediump vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    mediump vec4 textureColor2 = texture2D(inputImageTexture2, textureCoordinate);

    textureColor.rgb *= textureColor.a;
    textureColor2.rgb *= textureColor2.a;

    mediump vec4 textureOut = textureColor2 + textureColor - textureColor2 * textureColor;

    textureOut.rgb /= textureOut.a;
    gl_FragColor = textureOut;
}