precision mediump float;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

varying highp vec2 textureCoordinate;

void main()
{
    lowp vec4 source = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 destination = texture2D(inputImageTexture2, textureCoordinate);

    source *= destination.r;
    gl_FragColor = source;
}