precision mediump float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;

void main()
{
    highp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);


    vec2 newCoords = vec2(textureCoordinate.x * 20.0, textureCoordinate.y * 20.0);


    if (mod(floor(newCoords.x + 0.5), 2.0) == 0.0){

        gl_FragColor = vec4(1.0, 0.7529411, 0.035294, 1.0);

    } else {

        gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
    }

}